Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration
Class ConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.lang.exception.NestableException
                  org.apache.commons.configuration.ConfigurationException

All Implemented Interfaces:
  Serializable, Nestable

    public class ConfigurationException

extends NestableException

Any exception that occurs while initializing a Configuration object.

Version:
  $Revision: 439648 $, $Date: 2006-09-02 22:42:10 +0200 (Sa, 02 Sep 2006) $
Author:
  Eric Pugh
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.lang.exception.NestableException
`delegate`

Constructor Summary
`ConfigurationException()` Constructs a new `ConfigurationException` without specified detail message.
`ConfigurationException(String message)` Constructs a new `ConfigurationException` with specified detail message.
`ConfigurationException(String message, Throwable cause)` Constructs a new `ConfigurationException` with specified detail message and nested `Throwable`.
`ConfigurationException(Throwable cause)` Constructs a new `ConfigurationException` with specified nested `Throwable`.

Method Summary

Methods inherited from class org.apache.commons.lang.exception.NestableException
`getCause, getMessage, getMessage, getMessages, getThrowable, getThrowableCount, getThrowables, indexOfThrowable, indexOfThrowable, printPartialStackTrace, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationException

    public ConfigurationException()

  Constructs a new `ConfigurationException` without specified detail message.

### ConfigurationException

    public ConfigurationException(String message)

  Constructs a new `ConfigurationException` with specified detail message.

  Parameters:
    `message` - the error message

### ConfigurationException

    public ConfigurationException(Throwable cause)

  Constructs a new `ConfigurationException` with specified nested `Throwable`.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown

### ConfigurationException

    public ConfigurationException(String message,
                                  Throwable cause)

  Constructs a new `ConfigurationException` with specified detail message and nested `Throwable`.

  Parameters:
    `message` - the error message
    `cause` - the exception or error that caused this exception to be thrown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.